LILO(8)

NOM
lilo - Installer le chargeur de démarrage de LILO

SYNOPSIS
Fonction principale :

  lilo

Autres utilisations :

  lilo -A # Activer une partition, afficher la partition active

  lilo -E # Éditer ou mettre à jour les en-têtes d'un fichier bitmap

  lilo -I # Rechercher le chemin du noyau en cours d'utilisation

  lilo -M # Écrire un secteur de démarrage principal (MBR) d'un périphérique

  lilo -q # Obtenir la carte et montrer son contenu

  lilo -R # Définir la ligne de commande par défaut du prochain démarrage

  lilo -T # Afficher un résumé des options

  lilo -u|-U # Désinstaller le chargeur de démarrage LILO

DESCRIPTION
lilo installe un chargeur de démarrage, qui sera activé au prochain démarrage de la machine. Le fichier de configuration par défaut est /etc/lilo.conf (consultez la page de manuel lilo.conf(5)). Il contient beaucoup d'options, mais la plupart, incluant celles qui surchargent le fichier de configuration, peuvent être indiquées en ligne de commande.

OPTIONS

-A péripérique-maître [N]
    Avec un seul paramètre, rechercher la partition active du périphérique-maître, par exemple /dev/sda. Avec « N==0 » : désactiver toutes les partitions du périphérique. Avec N entre 1 et n : activer la partition indiquée et désactiver toutes les autres. Normalement, seules les partitions primaires [1, 4] devraient être actives, mais si un secteur de démarrage principal étendu est présent avec le secteur de démarrage principal (MBR) du périphérique (consultez l'option -M), toute partition pourrait être activée. Le fait que le système d'exploitation de la partition puisse démarrer depuis une partition logique dépend de ses caractéristiques. Avec LILO, Linux peut être démarré depuis une partition logique.

-b périphérique-de-démarrage
    Définir le périphérique de démarrage où le chargeur de démarrage sera installé. Par exemple, -b /dev/sda indique le secteur de démarrage principal (MBR) du premier disque. -b /dev/sdb5 indique la première partition logique du second disque.

-B fichier-bitmap
    Définir un fichier bitmap comme fond d'écran du menu graphique, de préférence préalablement traité avec l’option -E.

-c  Autoriser la compression de la carte. Cela va permettre de grouper les requêtes de lectures des secteurs adjacents. Cette option accélère le démarrage surtout depuis une disquette.

-C fichier-de-configuration
    Définir un autre chemin de fichier de configuration. Le fichier de configuration par défaut est /etc/lilo.conf.

-d délai
    Définir un délai en dixième de seconde (« 20 » pour 2 secondes) avant de démarrer la première image. Cela permet d'interrompre la procédure de démarrage en pressant Shift, Alt, Ctrl, ScrollLock ou CapsLock. Si le démarrage est interrompu, l'invite boot: sera affichée.

    Cette option est écrasée par la présence de l'option prompt dans le fichier de configuration.

-D étiquette
    Utiliser le noyau associé à l'étiquette donnée en tant que noyau par défaut, plutôt que le premier de la liste du fichier de configuration.

-E fichier.xxx
    Si l’extension .xxx est .bmp, alors considérer le fichier comme un fichier graphique bitmap à utiliser avec l'option bitmap= du fichier de configuration. Entrer dans un éditeur pour créer ou mettre à jour les informations de couleur et de placement dans l'en-tête LILO de ce fichier bitmap (consultez les options bmp-colors, bmp-table et bmp-timer de la page de manuel lilo.conf(5)).

    Si .xxx est .dat, alors considérer ce fichier comme un fichier de configuration pour définir les paramètres graphiques bitmap, qui sont transférés dans l'en-tête LILO du fichier bitmap du même nom.

    Lorsqu'un fichier .bmp est modifié avec un outil d'édition graphique (par exemple The Gimp), l'en-tête LILO est perdu. Il peut être restauré à l'aide du fichier .dat, qui est utilisé comme un fichier de sauvegarde des informations de l'en-tête LILO.

-f table-du-disque
    Définir un autre fichier de paramètres de la géométrie du disque. Le fichier par défaut est /etc/disktab.

-F  Remplacer la vérification du secteur de démarrage des systèmes de fichiers (par exemple, swap, ext4, XFS) qui peuvent être détruits par l'installation du secteur de démarrage de LILO sur le premier secteur de la partition si ces systèmes de fichiers utilisent le premier secteur comme un superbloc.

    Comparer avec -P ignore, qui contourne certaines vérifications de la table de partitions.

-g  Générer des adresses disque géométriques CHS (cylindre/tête/secteur). Elle est limitée à 1023 cylindres maximum. Cela force la compatibilité avec les trèsanciennes versions de LILO (option obsolète).

-H  Écraser un arrêt fatal si tous les disques d'un ensemble RAID ne sont pas actifs.

-I étiquette [D|a|i|k|r|R]
    L'étiquette est associée au nom d'une image indiquée dans le fichier de configuration. Cette commande affiche le chemin complet du noyau correspondant, le fichier de carte clavier, le fichier du disque mémoire initial, les spécifications de la racine, ou le contenu de « append= » (les options i, k, r, R ou a). L'option D ignore le paramètre étiquette et affiche l'étiquette par défaut de « image= », ou la première étiquette « image= » est sélectionnée si aucune image par défaut n'est définie.

-l  Générer des adresses linéaires de secteurs 24 bits, plutôt que des adresses géométriques sous forme cylindre/tête/secteur.

-L  Générer des adresses de blocs logiques (LBA) 32 bits, plutôt que des adresses géométriques (CHS, cylindre/tête/secteur). Cela donne accès à toutes les partitions des disques de plus de 1024 cylindres (c’est la géométrie par défaut).

-m fichier-de-carte
    Utiliser un autre fichier de carte plutôt que le fichier par défaut /boot/map.

-M périphérique-maître [mbr|ext]
    Installer un secteur de démarrage principal sur le périphérique périphérique-maître, en sélectionnant un secteur de démarrage principal standard ou étendu par option. La table de partitions primaires du périphérique-maître n'est pas perturbée. Si aucun « Volume-ID (numéro de série) » valable n'est présent, alors en générer un et l'écrire dans le MBR. Si l'option mbr est définie, le chargeur de démarrage étendu cherchera un attribut actif dans une des partitions 1 à 4 et démarrera la partition active. Un seul attribut actif est permis. Si l'option ext est définie, la recherche d'une partition active inclut aussi les partitions logiques. La présence du chargeur de démarrage étendu dans le secteur de démarrage principal (MBR dans le secteur 0) d'un disque modifie le fonctionnement de l'option -A.

-p  Demander un mot de passe pour tous les mots de passe définis par "" dans le fichier de configuration.

-P fix|ignore|option-globale
    Corriger ou ignorer les tables de partitions corrompues, par exemple, une table de partitions avec des adresses linéaires et géométriques qui ne correspondent pas. Toujours essayer avec l'option ignore en premier ; comme fix réécrit la table de partitions, il est possible de détruire toutes les partitions du disque.

    L'option ignore est aussi utilisée pour contourner la vérification de la table de partitions des types de partition dans la table de partitions qui ne permettent pas d'installer un secteur de démarrage LILO. À comparer avec l'option -F qui évite la vérification du secteur de démarrage actuel.

    option-globale permet de passer toute option globale qui pourrait être dans la section globale (le début) du fichier de configuration (/etc/lilo.conf). Par exemple, -P nowarn passe l'option « nowarn » comme si « nowarn » était dans le fichier de configuration (identique à l'option -w). De même, -P timeout=50 ajoute ou remplace l'option « timeout= » du fichier de configuration. Remarquez que l'option -P duplique habituellement plusieurs options en ligne de commande. Cependant, ce n'est pas strictement la même chose car certaines options écrasent d'autres options, par exemple, -g (-P geometric), -L (-P lba32).

-q  Afficher les fichiers de carte actuels. lilo gère un fichier, par défaut, /boot/map, contenant le nom et l'emplacement de chaque noyau à démarrer. Cette option permet d’afficher les noms contenus dans ce fichier. Utilisez l'option -v pour des informations plus détaillées sur le chargeur de démarrage installé.

-r répertoire-racine
    Avant d'exécuter toute chose, effectuer un « chroot » dans le répertoire indiqué. Le nouveau répertoire racine doit contenir un répertoire /dev et éventuellement un répertoire /boot. Un fichier de configuration /etc/lilo.conf pourrait aussi être nécessaire.

-R ligne-de-commande
    Cette option définit la commande par défaut du chargeur de démarrage lors de sa prochaine exécution. Après exécution, le chargeur de démarrage écrasera cette ligne de commande puisqu’elle n'est utilisée qu'une seule fois. Elle est couramment utilisée dans les script de redémarrage, juste avant l'appel à la commande « shutdown -r ». Utilisée sans paramètre, elle annulera une ligne de commande en positon lock ou fallback.

-s fichier-de-sauvegarde
    Lorsque lilo écrit un nouveau secteur de démarrage, il sauve le contenu de l'ancien secteur de démarrage dans un fichier, nommé par défaut /boot/boot.NNNN, où NNNN est la représentation hexadécimale des numéros majeur et mineur du périphérique de la partition ou du disque.

    Cette option définie un fichier de sauvegarde d'une des trois façons suivantes : un répertoire de sauvegarde (par défaut, /boot) avec un nom de fichier au format boot.NNNN dans le répertoire défini ; un modèle de nom de fichier avec le chemin (par défaut, /boot/boot) auquel .NNNN est ajouté ; ou le chemin complet du fichier qui doit se terminer par .NNNN. Avec l'option -u, le chemin complet du fichier doit être défini.

- fichier-de-sauvegarde
    Normalement, lilo n'écrasera pas un fichier de sauvegarde existant d'un secteur de démarrage. Ces options signifient que le remplacement sera forcé. Comme avec l'option -s, peuvent être définis un répertoire de sauvegarde, un modèle de chemin ou un chemin complet (qui inclut le suffixe « .NNNN »).

-t  Tester seulement. Ne pas modifier le secteur de démarrage ou le fichier de carte. À utiliser avec l'option -v pour s'assurer de ce que lilo va faire.

-T option
    Afficher des informations du système, quelques-unes proviennent du BIOS. C'est plus simple que de démarrer « LILO diagnostic » depuis une disquette lors de problèmes systèmes. option est une des valeurs suivantes :

     help          afficher une liste des diagnostics disponibles
     ChRul         afficher les types de partitions des
                     « Changes-Rules »
     EBDA          afficher les informations sur les zones de données
                     BIOS étendu
     geom=<disque> afficher la géométrie du périphérique
                     BIOS, par exemple : geom=0x80
     geom          afficher la géométrie de tous les disques
     table=<disque>  afficher la table de partitions primaires,
                     par exemple : table=/dev/sda
     video         afficher les modes graphiques disponibles du chargeur
                     de démarrage

-u [nom-de-périphérique]
    Désinstaller lilo en recopiant le secteur de démarrage sauvegardé dans le secteur de démarrage. Les options -s et -C peuvent être utilisées avec cette option. Le paramètre nom-de-périphérique est facultatif. Les dates sont vérifiées.

-U [nom-de-périphérique]
    Même chose que -u, mais sans vérifier les dates.

-v [nombre]
    Augmenter la verbosité. Ajouter une à cinq options -v en paramètre augmente la verbosité de lilo. Le nombre (compris entre 1 et 5) définit le niveau de verbosité.

-V  Afficher la version.

-w[+|-]
    Utiliser -w ou -w- pour supprimer les messages d'avertissement. Utiliser -w+ pour écraser l'option nowarn du fichier de configuration et afficher les messages d'avertissement.

-x option
    Pour les installations RAID seulement. Cette option peut être l'un des mots clefs suivants : none, auto, mbr, mbr-only, ou une liste de périphériques à démarrer, séparés par « : » et sans espace.

    Les installations RAID écrivent l'enregistrement de démarrage dans la partition RAID. Des écritures provisoires du MBR peuvent survenir pour rendre l'ensemble RAID amorçable dans des situations de récupération, mais toutes les actions par défaut seront remplacées. Les actions similaires des versions précédentes sont réalisées avec l'option -x mbr-only.

-X  Réserver à une utilisation interne de LILO. Elle peut produire différentes sorties pour différentes versions de LILO. La ligne commençant par « CFLAG= » contient les options de compilation de LILO.

-z  Lorsqu'elle est utilisée avec l'option -M, supprimer le « Volume-ID ». Elle est habituellement utilisée dans la procédure suivante pour générer un nouveau « Volume-ID » :

        lilo -z -M /dev/sda
        lilo -M /dev/sda

-Z option
    Appeler l'installateur de démarrage avec des précautions particulières car le BIOS n'arrive pas à passer le bon code de périphérique dans le registre DL (-Z0) ou car le BIOS obtient toujours le bon registre DL (Z1). Cette option correspond et remplace l'option « bios-passes-dl= » du fichier de configuration.

OPTIONS DE CONFIGURATION
Les options de ligne de commande ci-dessus correspondent aux mots clefs du fichier de configuration ci-dessous.

              -b bootdev       boot=bootdev
              -B fichier.bmp   bitmap=fichier.bmp
              -c               compact
              -d délai         delay=délai
              -D étiquette     default=étiquette
              -f fichier       disktab=fichier
              -g               geometric
              -l               linear
              -L               lba32
              -m fichier-carte map=fichier-carte
              -P fix           fix-table
              -P ignore        ignore-table
              -s fichier       backup=fichier
              -S fichier       force-backup=fichier
              -v [N]           verbose=N
              -w               nowarn
              -x option        raid-extra-boot=option
              -Z option        bios-passes-dl=option

OPTIONS DE DÉMARRAGE
Les options, décrites ici, peuvent être indiquées lors du démarrage à la ligne de commande lorsqu'une image est démarrée. Ces options sont traitées par LILO et supprimées de la ligne de commande avant d'être passées au noyau, à moins qu'une option outrepasse ce comportement.

lock
    Verrouiller la ligne de commande, comme si l'option « lock » était définie dans /etc/lilo.conf.

mem=nombre[K|M|G]
    Définir la quantité de mémoire maximum du système en octets, kilooctets, mégaoctets, ou gigaoctets. Cette option n'est pas supprimée de la ligne de commande et elle est toujours envoyée au noyau.

nobd
    Supprimer la vérification des données BIOS. Cette option est à utiliser avec les BIOS incompatibles avec les BIOS IBM qui se bloquent pas avec les lignes suivantes :

        Loading...............
        BIOS data check

vga=[ASK,EXT,EXTENDED,NORMAL,nombre,0xnombre]
    Permet de remplacer le mode vidéo par défaut de la procédure de démarrage du noyau.

ERREURS DE DÉMARRAGE
Le processus de démarrage se fait en deux étapes. Le chargeur de la première étape est un secteur unique chargé par le BIOS ou par le chargeur dans le MBR. Il charge le chargeur multisecteur de la seconde étape, mais l'espace est très limité. Lorsque la première étape obtient le contrôle, il affiche la lettre « L » ; lorsqu'elle est prête à transférer le contrôle à la seconde étape, elle affiche la lettre « I ». Si une erreur survient, comme une erreur de lecture du disque, elle affiche un code d'erreur au format hexadécimal et essaye de nouveau. Tous les codes d'erreurs sont des valeurs renvoyées par le BIOS, sauf pour les codes 40, 99 et 9A qui sont générés par LILO. Une liste partielle des codes d'erreurs est donnée ci-dessous :

    00  pas d'erreur
    01  commande disque incorrecte
    02  marque d'adresse introuvable
    03  disque protégé en écriture
    04  secteur introuvable
    06  disquette retirée
    08  surcharge DMA
    0A  attribut de secteur incorrect
    0B  attribut de piste incorrect
    20  échec du contrôleur
    40  échec de la recherche (BIOS)
    40  cylindre > 1023 (LILO)
    99  indice de secteur incorrect dans la deuxième étape (LILO)
    9A  aucune signature du chargeur pour la deuxième étape (LILO)
    AA  périphérique non prêt
    FF  échec de l'opération de détection

Le code d'erreur 40 est généré par le BIOS ou par LILO durant la conversion des adresses disque linéaires en adresses disque géométriques. Sur les vieux systèmes qui ne gèrent pas l'adressage lba32, cette erreur peut aussi se produire. Les erreurs 99 et 9A signifient que le fichier de carte (option -m ou map=) n'est pas lisible, probablement car LILO n'a pas été lancé après certaines modifications du système, ou qu'il y a une erreur de géométrie entre ce qu'utilise LILO (lilo -v3 pour le savoir) et ce qui est actuellement utilisé par le BIOS (un des diagnostics des disques de LILO, disponible dans les sources, peut être nécessaire pour déterminer ce problème).

Lorsque la seconde étape du chargeur a reçu le contrôle de la première étape, elle affiche le lettre « L » et quand elle s'est elle-même initialisée, incluant la vérification de la table de description « Descriptor Table », la liste des noyaux et des autres systèmes à démarrer est affichée puis elle affiche la lettre « O » pour former le mot complet en majuscules « LILO ».

Tous les messages d'erreurs de la deuxième étape sont en anglais et essayent d’indiquer, de façon plus ou moins réussie, la cause de l’erreur.

BOGUES
Les options de configurations « backup » et « force-backup » doivent indiquer un répertoire de sauvegarde ou un modèle de chemin d'un fichier de sauvegarde pour toutes les installations RAID. Utiliser un nom de fichier ne permet pas de faire de sauvegardes multiples. La meilleure solution est d'utiliser la mécanisme par défaut qui fonctionne dans tous les cas.

DROIT D’AUTEUR et LICENCE
 Copyright (C) 1992-1998 Werner Almesberger
 Copyright (C) 1999-2007 John Coffman
 Copyright (C) 2009-2013 Joachim Wiedorn

La redistribution et l’utilisation sous formes de source ou de binaire, avec ou sans modification, sont autorisées sous les conditions de la licence BSD disponible dans le fichier COPYING.

AUTEUR
lilo a été écrit par :

 Werner Almesberger (version 0 à 21),
 John Coffman (version 21.2 à 22.8),
 Joachim Wiedorn (depuis la version 23.0).

Cette page de manuel a été écrite par Werner Almesberger et Joachim Wiedorn <ad_debian at joonet.de>.

VOIR AUSSI
lilo.conf(5), liloconfig(8), lilo-uuid-diskid(8), mkrescue(8), fdisk(8), mkinitrd(8)